<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKUsr5ListViewBase from './ibizbookusr5-list-view-base.vue';

import view_list from '@widgets/ibizbook/listpanel-list/listpanel-list.vue';
@Component({
    components: {
        view_list, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKUsr5ListView extends IBIZBOOKUsr5ListViewBase {

}
</script>